## eggdrop 1.8.4+repack1

=== src/mod/assoc.mod/Makefile ===
# Makefile for src/mod/assoc.mod/

srcdir = .


doofus:
	@echo "" && \
	echo "Let's try this from the right directory..." && \
	echo "" && \
	cd ../../../ && $(MAKE)

static: ../assoc.o

modules: ../../../assoc.$(MOD_EXT)

../assoc.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -DMAKING_MODS -c $(srcdir)/assoc.c && mv -f assoc.o ../

../../../assoc.$(MOD_EXT): ../assoc.o
	$(LD) $(CFLAGS) -o ../../../assoc.$(MOD_EXT) ../assoc.o $(XLIBS) $(MODULE_XLIBS) && $(STRIP) ../../../assoc.$(MOD_EXT)

depend:
	$(CC) $(CFLAGS) -MM $(srcdir)/assoc.c -MT ../assoc.o > .depend

clean:
	@rm -f .depend *.o *.$(MOD_EXT) *~

distclean: clean

#safety hash
../assoc.o: .././assoc.mod/assoc.c ../../../src/mod/module.h \
 ../../../src/main.h ../../../config.h ../../../eggint.h ../../../lush.h \
 ../../../src/lang.h ../../../src/eggdrop.h ../../../src/compat/in6.h \
 ../../../src/flags.h ../../../src/cmdt.h ../../../src/tclegg.h \
 ../../../src/tclhash.h ../../../src/chan.h ../../../src/users.h \
 ../../../src/compat/compat.h ../../../src/compat/inet_aton.h \
 ../../../src/compat/snprintf.h ../../../src/compat/strcasecmp.h \
 ../../../src/compat/strftime.h ../../../src/compat/inet_ntop.h \
 ../../../src/compat/inet_pton.h ../../../src/compat/gethostbyname2.h \
 ../../../src/compat/strlcpy.h ../../../src/mod/modvals.h \
 ../../../src/tandem.h .././assoc.mod/assoc.h

=== src/mod/blowfish.mod/Makefile ===
# Makefile for src/mod/blowfish.mod/

srcdir = .


doofus:
	@echo "" && \
	echo "Let's try this from the right directory..." && \
	echo "" && \
	cd ../../../ && $(MAKE)

static: ../blowfish.o

modules: ../../../blowfish.$(MOD_EXT)

../blowfish.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -DMAKING_MODS -c $(srcdir)/blowfish.c && mv -f blowfish.o ../

../../../blowfish.$(MOD_EXT): ../blowfish.o
	$(LD) $(CFLAGS) -o ../../../blowfish.$(MOD_EXT) ../blowfish.o $(XLIBS) $(MODULE_XLIBS) && $(STRIP) ../../../blowfish.$(MOD_EXT)

depend:
	$(CC) $(CFLAGS) -MM $(srcdir)/blowfish.c -MT ../blowfish.o > .depend

clean:
	@rm -f .depend *.o *.$(MOD_EXT) *~

distclean: clean

#safety hash
../blowfish.o: .././blowfish.mod/blowfish.c ../../../src/mod/module.h \
 ../../../src/main.h ../../../config.h ../../../eggint.h ../../../lush.h \
 ../../../src/lang.h ../../../src/eggdrop.h ../../../src/compat/in6.h \
 ../../../src/flags.h ../../../src/cmdt.h ../../../src/tclegg.h \
 ../../../src/tclhash.h ../../../src/chan.h ../../../src/users.h \
 ../../../src/compat/compat.h ../../../src/compat/inet_aton.h \
 ../../../src/compat/snprintf.h ../../../src/compat/strcasecmp.h \
 ../../../src/compat/strftime.h ../../../src/compat/inet_ntop.h \
 ../../../src/compat/inet_pton.h ../../../src/compat/gethostbyname2.h \
 ../../../src/compat/strlcpy.h ../../../src/mod/modvals.h \
 ../../../src/tandem.h .././blowfish.mod/blowfish.h \
 .././blowfish.mod/bf_tab.h

=== src/mod/channels.mod/Makefile ===
# Makefile for src/mod/channels.mod/

srcdir = .


doofus:
	@echo "" && \
	echo "Let's try this from the right directory..." && \
	echo "" && \
	cd ../../../ && $(MAKE)

static: ../channels.o

modules: ../../../channels.$(MOD_EXT)

../channels.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -DMAKING_MODS -c $(srcdir)/channels.c && mv -f channels.o ../

../../../channels.$(MOD_EXT): ../channels.o
	$(LD) $(CFLAGS) -o ../../../channels.$(MOD_EXT) ../channels.o $(XLIBS) $(MODULE_XLIBS) && $(STRIP) ../../../channels.$(MOD_EXT)

depend:
	$(CC) $(CFLAGS) -MM $(srcdir)/channels.c -MT ../channels.o > .depend

clean:
	@rm -f .depend *.o *.$(MOD_EXT) *~

distclean: clean

#safety hash
../channels.o: .././channels.mod/channels.c ../../../src/mod/module.h \
 ../../../src/main.h ../../../config.h ../../../eggint.h ../../../lush.h \
 ../../../src/lang.h ../../../src/eggdrop.h ../../../src/compat/in6.h \
 ../../../src/flags.h ../../../src/cmdt.h ../../../src/tclegg.h \
 ../../../src/tclhash.h ../../../src/chan.h ../../../src/users.h \
 ../../../src/compat/compat.h ../../../src/compat/inet_aton.h \
 ../../../src/compat/snprintf.h ../../../src/compat/strcasecmp.h \
 ../../../src/compat/strftime.h ../../../src/compat/inet_ntop.h \
 ../../../src/compat/inet_pton.h ../../../src/compat/gethostbyname2.h \
 ../../../src/compat/strlcpy.h ../../../src/mod/modvals.h \
 ../../../src/tandem.h .././channels.mod/channels.h \
 .././channels.mod/cmdschan.c .././channels.mod/tclchan.c \
 .././channels.mod/userchan.c .././channels.mod/udefchan.c

=== src/mod/console.mod/Makefile ===
# Makefile for src/mod/console.mod/

srcdir = .


doofus:
	@echo "" && \
	echo "Let's try this from the right directory..." && \
	echo "" && \
	cd ../../../ && $(MAKE)

static: ../console.o

modules: ../../../console.$(MOD_EXT)

../console.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -DMAKING_MODS -c $(srcdir)/console.c && mv -f console.o ../

../../../console.$(MOD_EXT): ../console.o
	$(LD) $(CFLAGS) -o ../../../console.$(MOD_EXT) ../console.o $(XLIBS) $(MODULE_XLIBS) && $(STRIP) ../../../console.$(MOD_EXT)

depend:
	$(CC) $(CFLAGS) -MM $(srcdir)/console.c -MT ../console.o > .depend

clean:
	@rm -f .depend *.o *.$(MOD_EXT) *~

distclean: clean

#safety hash
../console.o: .././console.mod/console.c ../../../src/mod/module.h \
 ../../../src/main.h ../../../config.h ../../../eggint.h ../../../lush.h \
 ../../../src/lang.h ../../../src/eggdrop.h ../../../src/compat/in6.h \
 ../../../src/flags.h ../../../src/cmdt.h ../../../src/tclegg.h \
 ../../../src/tclhash.h ../../../src/chan.h ../../../src/users.h \
 ../../../src/compat/compat.h ../../../src/compat/inet_aton.h \
 ../../../src/compat/snprintf.h ../../../src/compat/strcasecmp.h \
 ../../../src/compat/strftime.h ../../../src/compat/inet_ntop.h \
 ../../../src/compat/inet_pton.h ../../../src/compat/gethostbyname2.h \
 ../../../src/compat/strlcpy.h ../../../src/mod/modvals.h \
 ../../../src/tandem.h .././console.mod/console.h

=== src/mod/seen.mod/Makefile ===
# Makefile for src/mod/seen.mod/

srcdir = .


doofus:
	@echo "" && \
	echo "Let's try this from the right directory..." && \
	echo "" && \
	cd ../../../ && $(MAKE)

static: ../seen.o

modules: ../../../seen.$(MOD_EXT)

../seen.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -DMAKING_MODS -c $(srcdir)/seen.c && mv -f seen.o ../

../../../seen.$(MOD_EXT): ../seen.o
	$(LD) $(CFLAGS) -o ../../../seen.$(MOD_EXT) ../seen.o $(XLIBS) $(MODULE_XLIBS) && $(STRIP) ../../../seen.$(MOD_EXT)

depend:
	$(CC) $(CFLAGS) -MM $(srcdir)/seen.c -MT ../seen.o > .depend

clean:
	@rm -f .depend *.o *.$(MOD_EXT) *~

distclean: clean

#safety hash
../seen.o: .././seen.mod/seen.c ../../../src/mod/module.h \
 ../../../src/main.h ../../../config.h ../../../eggint.h ../../../lush.h \
 ../../../src/lang.h ../../../src/eggdrop.h ../../../src/compat/in6.h \
 ../../../src/flags.h ../../../src/cmdt.h ../../../src/tclegg.h \
 ../../../src/tclhash.h ../../../src/chan.h ../../../src/users.h \
 ../../../src/compat/compat.h ../../../src/compat/inet_aton.h \
 ../../../src/compat/snprintf.h ../../../src/compat/strcasecmp.h \
 ../../../src/compat/strftime.h ../../../src/compat/inet_ntop.h \
 ../../../src/compat/inet_pton.h ../../../src/compat/gethostbyname2.h \
 ../../../src/compat/strlcpy.h ../../../src/mod/modvals.h \
 ../../../src/tandem.h ../../../src/users.h ../../../src/chan.h \
 ../../../src/mod/channels.mod/channels.h

=== src/mod/server.mod/Makefile ===
# Makefile for src/mod/server.mod/

srcdir = .


doofus:
	@echo "" && \
	echo "Let's try this from the right directory..." && \
	echo "" && \
	cd ../../../ && $(MAKE)

static: ../server.o

modules: ../../../server.$(MOD_EXT)

../server.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -DMAKING_MODS -c $(srcdir)/server.c && mv -f server.o ../

../../../server.$(MOD_EXT): ../server.o
	$(LD) $(CFLAGS) -o ../../../server.$(MOD_EXT) ../server.o $(XLIBS) $(MODULE_XLIBS) && $(STRIP) ../../../server.$(MOD_EXT)

depend:
	$(CC) $(CFLAGS) -MM $(srcdir)/server.c -MT ../server.o > .depend

clean:
	@rm -f .depend *.o *.$(MOD_EXT) *~

distclean: clean

#safety hash
../server.o: .././server.mod/server.c ../../../src/mod/module.h \
 ../../../src/main.h ../../../config.h ../../../eggint.h ../../../lush.h \
 ../../../src/lang.h ../../../src/eggdrop.h ../../../src/compat/in6.h \
 ../../../src/flags.h ../../../src/cmdt.h ../../../src/tclegg.h \
 ../../../src/tclhash.h ../../../src/chan.h ../../../src/users.h \
 ../../../src/compat/compat.h ../../../src/compat/inet_aton.h \
 ../../../src/compat/snprintf.h ../../../src/compat/strcasecmp.h \
 ../../../src/compat/strftime.h ../../../src/compat/inet_ntop.h \
 ../../../src/compat/inet_pton.h ../../../src/compat/gethostbyname2.h \
 ../../../src/compat/strlcpy.h ../../../src/mod/modvals.h \
 ../../../src/tandem.h .././server.mod/server.h .././server.mod/servmsg.c \
 .././server.mod/../irc.mod/irc.h \
 .././server.mod/../channels.mod/channels.h .././server.mod/cmdsserv.c \
 .././server.mod/tclserv.c

=== src/mod/share.mod/Makefile ===
# Makefile for src/mod/share.mod/

srcdir = .


doofus:
	@echo "" && \
	echo "Let's try this from the right directory..." && \
	echo "" && \
	cd ../../../ && $(MAKE)

static: ../share.o

modules: ../../../share.$(MOD_EXT)

../share.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -DMAKING_MODS -c $(srcdir)/share.c && mv -f share.o ../

../../../share.$(MOD_EXT): ../share.o
	$(LD) $(CFLAGS) -o ../../../share.$(MOD_EXT) ../share.o $(XLIBS) $(MODULE_XLIBS) && $(STRIP) ../../../share.$(MOD_EXT)

depend:
	$(CC) $(CFLAGS) -MM $(srcdir)/share.c -MT ../share.o > .depend

clean:
	@rm -f .depend *.o *.$(MOD_EXT) *~

distclean: clean

#safety hash
../share.o: .././share.mod/share.c ../../../src/mod/module.h \
 ../../../src/main.h ../../../config.h ../../../eggint.h ../../../lush.h \
 ../../../src/lang.h ../../../src/eggdrop.h ../../../src/compat/in6.h \
 ../../../src/flags.h ../../../src/cmdt.h ../../../src/tclegg.h \
 ../../../src/tclhash.h ../../../src/chan.h ../../../src/users.h \
 ../../../src/compat/compat.h ../../../src/compat/inet_aton.h \
 ../../../src/compat/snprintf.h ../../../src/compat/strcasecmp.h \
 ../../../src/compat/strftime.h ../../../src/compat/inet_ntop.h \
 ../../../src/compat/inet_pton.h ../../../src/compat/gethostbyname2.h \
 ../../../src/compat/strlcpy.h ../../../src/mod/modvals.h \
 ../../../src/tandem.h ../../../src/chan.h ../../../src/users.h \
 ../../../src/mod/transfer.mod/transfer.h \
 ../../../src/mod/channels.mod/channels.h .././share.mod/share.h \
 .././share.mod/uf_features.c

=== src/mod/uptime.mod/Makefile ===
# Makefile for src/mod/uptime.mod/
srcdir = .


doofus:
	@echo "" && \
	echo "Let's try this from the right directory..." && \
	echo "" && \
	cd ../../../ && $(MAKE)

static: ../uptime.o

modules: ../../../uptime.$(MOD_EXT)

../uptime.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -DMAKING_MODS -c $(srcdir)/uptime.c && mv -f uptime.o ../

../../../uptime.$(MOD_EXT): ../uptime.o
	$(LD) $(CFLAGS) -o ../../../uptime.$(MOD_EXT) ../uptime.o $(XLIBS) $(MODULE_XLIBS) && $(STRIP) ../../../uptime.$(MOD_EXT)

depend:
	$(CC) $(CFLAGS) -MM $(srcdir)/uptime.c -MT ../uptime.o > .depend

clean:
	@rm -f .depend *.o *.$(MOD_EXT) *~

distclean: clean

#safety hash
../uptime.o: .././uptime.mod/uptime.c .././uptime.mod/uptime.h \
 .././uptime.mod/../module.h ../../../src/main.h ../../../config.h \
 ../../../eggint.h ../../../lush.h ../../../src/lang.h \
 ../../../src/eggdrop.h ../../../src/compat/in6.h ../../../src/flags.h \
 ../../../src/cmdt.h ../../../src/tclegg.h ../../../src/tclhash.h \
 ../../../src/chan.h ../../../src/users.h ../../../src/compat/compat.h \
 ../../../src/compat/inet_aton.h ../../../src/compat/snprintf.h \
 ../../../src/compat/strcasecmp.h ../../../src/compat/strftime.h \
 ../../../src/compat/inet_ntop.h ../../../src/compat/inet_pton.h \
 ../../../src/compat/gethostbyname2.h ../../../src/compat/strlcpy.h \
 .././uptime.mod/../modvals.h ../../../src/tandem.h \
 .././uptime.mod/../server.mod/server.h

=== debian/changelog ===
eggdrop (1.8.4+repack1-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * Repack upstream tarball with no file change. This solves the
    broken upstream tarball signature that causes FTBFS.
    (Closes: #1000861)

 -- Boyuan Yang <byang@debian.org>  Mon, 23 May 2022 15:04:58 -0400

=== debian/control ===
Source: eggdrop
Section: net
Priority: optional
Maintainer: Cédric Barboiron <ced@winkie.fr>
Build-Depends: tcl8.6-dev, libz-dev, debhelper (>= 12), libssl-dev
Standards-Version: 4.3.0
Homepage: http://www.eggheads.org/
Vcs-Git: https://github.com/yastupin/eggdrop-debian.git
Vcs-Browser: https://github.com/yastupin/eggdrop-debian

Package: eggdrop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, eggdrop-data (= ${source:Version})
Description: Advanced IRC Robot
 Eggdrop is an IRC bot written in C, which sits on channels and takes
 protective measures, such as preventing it from being taken over (in
 the few ways that anything can), recognizing banned users to reject
 them, recognizing privileged users to give them operator status,
 punishing users for things like flooding, among innumerable others.
 .
 All of this is completely configurable, and can be disabled or enabled
 as you wish in the configuration file. Also, it's very easy to expand
 and customize with Tcl scripts and C modules, making it possible to
 adapt Eggdrop to any special need you might have.

Package: eggdrop-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: eggdrop (<< 1.6.16-3)
Replaces: eggdrop (<< 1.6.16-3)
Description: Architecture independent files for eggdrop
 This package contains all the files that eggdrop places on /usr/share.
 These files are not specific to a single processor architecture once
 the package is built, so a single package can serve all the archs
 Debian supports.
 .
 This package is not useful at all if eggdrop is not installed.

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/" \
  https://ftp.eggheads.org/pub/eggdrop/source/1.8/eggdrop-(.*)\.tar\.gz debian uupdate

## eggdrop 1.10.0

=== src/mod/server.mod/Makefile ===
--- 
+++ 
@@ -33,12 +33,12 @@
  ../../../src/lang.h ../../../src/eggdrop.h ../../../src/compat/in6.h \
  ../../../src/flags.h ../../../src/cmdt.h ../../../src/tclegg.h \
  ../../../src/tclhash.h ../../../src/chan.h ../../../src/users.h \
- ../../../src/compat/compat.h ../../../src/compat/inet_aton.h \
- ../../../src/compat/snprintf.h ../../../src/compat/strcasecmp.h \
- ../../../src/compat/strftime.h ../../../src/compat/inet_ntop.h \
- ../../../src/compat/inet_pton.h ../../../src/compat/gethostbyname2.h \
- ../../../src/compat/strlcpy.h ../../../src/mod/modvals.h \
- ../../../src/tandem.h .././server.mod/server.h .././server.mod/servmsg.c \
+ ../../../src/compat/compat.h ../../../src/compat/base64.h \
+ ../../../src/compat/inet_aton.h ../../../src/compat/snprintf.h \
+ ../../../src/compat/explicit_bzero.h ../../../src/compat/strlcpy.h \
+ ../../../src/mod/modvals.h ../../../src/tandem.h \
+ .././server.mod/server.h .././server.mod/isupport.c \
+ .././server.mod/tclisupport.c .././server.mod/servmsg.c \
  .././server.mod/../irc.mod/irc.h \
  .././server.mod/../channels.mod/channels.h .././server.mod/cmdsserv.c \
  .././server.mod/tclserv.c

=== src/mod/uptime.mod/Makefile ===
--- 
+++ 
@@ -33,9 +33,7 @@
  ../../../src/eggdrop.h ../../../src/compat/in6.h ../../../src/flags.h \
  ../../../src/cmdt.h ../../../src/tclegg.h ../../../src/tclhash.h \
  ../../../src/chan.h ../../../src/users.h ../../../src/compat/compat.h \
- ../../../src/compat/inet_aton.h ../../../src/compat/snprintf.h \
- ../../../src/compat/strcasecmp.h ../../../src/compat/strftime.h \
- ../../../src/compat/inet_ntop.h ../../../src/compat/inet_pton.h \
- ../../../src/compat/gethostbyname2.h ../../../src/compat/strlcpy.h \
- .././uptime.mod/../modvals.h ../../../src/tandem.h \
- .././uptime.mod/../server.mod/server.h
+ ../../../src/compat/base64.h ../../../src/compat/inet_aton.h \
+ ../../../src/compat/snprintf.h ../../../src/compat/explicit_bzero.h \
+ ../../../src/compat/strlcpy.h .././uptime.mod/../modvals.h \
+ ../../../src/tandem.h .././uptime.mod/../server.mod/server.h

=== debian/changelog ===
eggdrop (1.10.0-3) unstable; urgency=low

  * Rebuild HTML documentation
  * Hopefully, fix build on hurd

 -- Sébastien Noel <sebastien@twolife.be>  Wed, 25 Jun 2025 17:01:28 +0200

eggdrop (1.10.0-2) unstable; urgency=low

  * Fix build for "arch: any" packages alone.
  * Use prebuild html documentation until sphinx-substitution-extensions
    is out of the 'new queue'

 -- Sébastien Noel <sebastien@twolife.be>  Sat, 14 Jun 2025 09:57:11 +0200

eggdrop (1.10.0-1) unstable; urgency=low

  [Sébastien Noel]
  * Salvage package (Closes: #1100637)
  * New upstream version (Closes: #1023344)
    - d/patches/00conf_paths: updated
    - d/patches/01use_ldflags: updated
    - d/patches/04pthread: added
  * Assume UTF-8 encoding by default (Closes: #596641)
    - add d/patches/03utf8
  * Enable the new python module
    - add d/patches/05modpython
  * Update d/watch file to version 4
  * Update d/copyright
  * d/control:
    - Update to standards version 4.7.2
    - Use debhelper 13
    - Update Vcs-Git and Vcs-Browser fields
  * Fix ftbfs with GCC-15 (Closes: #1096569)
    - add d/patches/gcc15
  * Update lintian overrides
  * use Sphinx to rebuild HTML documentation
    - add sphinx to Build-Depends-Indep
    - add d/patches/sphinx-doc-install-fix

  [Debian Janitor]
  * Remove constraints unnecessary since buster (oldstable):
    + eggdrop-data: Drop versioned constraint on eggdrop in Replaces
    + eggdrop-data: Drop versioned constraint on eggdrop in Breaks
  * Trim trailing whitespace in d/changelog

 -- Sébastien Noel <sebastien@twolife.be>  Wed, 04 Jun 2025 17:34:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,23 @@
 Source: eggdrop
 Section: net
 Priority: optional
-Maintainer: Cédric Barboiron <ced@winkie.fr>
-Build-Depends: tcl8.6-dev, libz-dev, debhelper (>= 12), libssl-dev
-Standards-Version: 4.3.0
-Homepage: http://www.eggheads.org/
-Vcs-Git: https://github.com/yastupin/eggdrop-debian.git
-Vcs-Browser: https://github.com/yastupin/eggdrop-debian
+Maintainer: Sébastien Noel <sebastien@twolife.be>
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-sphinxdoc,
+               libssl-dev,
+               libz-dev,
+               python3-dev,
+               tcl8.6-dev
+Build-Depends-Indep: sphinx, python3-sphinx-substitution-extensions
+Standards-Version: 4.7.2
+Homepage: https://www.eggheads.org/
+Vcs-Git: https://salsa.debian.org/twolife/eggdrop.git
+Vcs-Browser: https://salsa.debian.org/twolife/eggdrop
 
 Package: eggdrop
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, eggdrop-data (= ${source:Version})
+Depends: eggdrop-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Advanced IRC Robot
  Eggdrop is an IRC bot written in C, which sits on channels and takes
  protective measures, such as preventing it from being taken over (in
@@ -26,9 +33,8 @@
 Package: eggdrop-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
-Breaks: eggdrop (<< 1.6.16-3)
-Replaces: eggdrop (<< 1.6.16-3)
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Built-Using: ${sphinxdoc:Built-Using}
 Description: Architecture independent files for eggdrop
  This package contains all the files that eggdrop places on /usr/share.
  These files are not specific to a single processor architecture once

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with sphinxdoc

override_dh_auto_configure:
	dh_autoreconf
	dh_auto_configure -- --with-python-config=/usr/bin/python3-config \
	                     --with-tcllib=/usr/lib/$(DEB_HOST_MULTIARCH)/libtcl8.6.so --with-tclinc=/usr/include/tcl8.6/tcl.h
	make config

override_dh_auto_build-indep:
	dh_auto_build -i
	cd doc/sphinx_source && make html

override_dh_auto_install:
	make install DEST=$$(pwd)/debian/tmp
	rm debian/tmp/doc/Changes*
	rm debian/tmp/scripts/autobotchk
	rm debian/tmp/scripts/sentinel.tcl
	rm debian/tmp/eggdrop
	mv debian/tmp/eggdrop-1.* debian/tmp/eggdrop

override_dh_installchangelogs:
	dh_installchangelogs doc/Changes1.10

## eggdrop 1.10.1

=== doc/sphinx_source/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = ..

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	@echo "Do not use this, remember what happened last time?"

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Eggdrop.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Eggdrop.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Eggdrop"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Eggdrop"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== src/mod/assoc.mod/Makefile ===
--- 
+++ 
@@ -33,9 +33,7 @@
  ../../../src/lang.h ../../../src/eggdrop.h ../../../src/compat/in6.h \
  ../../../src/flags.h ../../../src/cmdt.h ../../../src/tclegg.h \
  ../../../src/tclhash.h ../../../src/chan.h ../../../src/users.h \
- ../../../src/compat/compat.h ../../../src/compat/inet_aton.h \
- ../../../src/compat/snprintf.h ../../../src/compat/strcasecmp.h \
- ../../../src/compat/strftime.h ../../../src/compat/inet_ntop.h \
- ../../../src/compat/inet_pton.h ../../../src/compat/gethostbyname2.h \
- ../../../src/compat/strlcpy.h ../../../src/mod/modvals.h \
- ../../../src/tandem.h .././assoc.mod/assoc.h
+ ../../../src/compat/compat.h ../../../src/compat/base64.h \
+ ../../../src/compat/inet_aton.h ../../../src/compat/snprintf.h \
+ ../../../src/compat/explicit_bzero.h ../../../src/compat/strlcpy.h \
+ ../../../src/mod/modvals.h ../../../src/tandem.h .././assoc.mod/assoc.h

=== src/mod/blowfish.mod/Makefile ===
--- 
+++ 
@@ -33,10 +33,8 @@
  ../../../src/lang.h ../../../src/eggdrop.h ../../../src/compat/in6.h \
  ../../../src/flags.h ../../../src/cmdt.h ../../../src/tclegg.h \
  ../../../src/tclhash.h ../../../src/chan.h ../../../src/users.h \
- ../../../src/compat/compat.h ../../../src/compat/inet_aton.h \
- ../../../src/compat/snprintf.h ../../../src/compat/strcasecmp.h \
- ../../../src/compat/strftime.h ../../../src/compat/inet_ntop.h \
- ../../../src/compat/inet_pton.h ../../../src/compat/gethostbyname2.h \
- ../../../src/compat/strlcpy.h ../../../src/mod/modvals.h \
- ../../../src/tandem.h .././blowfish.mod/blowfish.h \
- .././blowfish.mod/bf_tab.h
+ ../../../src/compat/compat.h ../../../src/compat/base64.h \
+ ../../../src/compat/inet_aton.h ../../../src/compat/snprintf.h \
+ ../../../src/compat/explicit_bzero.h ../../../src/compat/strlcpy.h \
+ ../../../src/mod/modvals.h ../../../src/tandem.h \
+ .././blowfish.mod/blowfish.h .././blowfish.mod/bf_tab.h

=== src/mod/channels.mod/Makefile ===
--- 
+++ 
@@ -33,11 +33,10 @@
  ../../../src/lang.h ../../../src/eggdrop.h ../../../src/compat/in6.h \
  ../../../src/flags.h ../../../src/cmdt.h ../../../src/tclegg.h \
  ../../../src/tclhash.h ../../../src/chan.h ../../../src/users.h \
- ../../../src/compat/compat.h ../../../src/compat/inet_aton.h \
- ../../../src/compat/snprintf.h ../../../src/compat/strcasecmp.h \
- ../../../src/compat/strftime.h ../../../src/compat/inet_ntop.h \
- ../../../src/compat/inet_pton.h ../../../src/compat/gethostbyname2.h \
- ../../../src/compat/strlcpy.h ../../../src/mod/modvals.h \
- ../../../src/tandem.h .././channels.mod/channels.h \
- .././channels.mod/cmdschan.c .././channels.mod/tclchan.c \
- .././channels.mod/userchan.c .././channels.mod/udefchan.c
+ ../../../src/compat/compat.h ../../../src/compat/base64.h \
+ ../../../src/compat/inet_aton.h ../../../src/compat/snprintf.h \
+ ../../../src/compat/explicit_bzero.h ../../../src/compat/strlcpy.h \
+ ../../../src/mod/modvals.h ../../../src/tandem.h \
+ .././channels.mod/channels.h .././channels.mod/cmdschan.c \
+ .././channels.mod/tclchan.c .././channels.mod/userchan.c \
+ .././channels.mod/udefchan.c

=== src/mod/console.mod/Makefile ===
--- 
+++ 
@@ -33,9 +33,8 @@
  ../../../src/lang.h ../../../src/eggdrop.h ../../../src/compat/in6.h \
  ../../../src/flags.h ../../../src/cmdt.h ../../../src/tclegg.h \
  ../../../src/tclhash.h ../../../src/chan.h ../../../src/users.h \
- ../../../src/compat/compat.h ../../../src/compat/inet_aton.h \
- ../../../src/compat/snprintf.h ../../../src/compat/strcasecmp.h \
- ../../../src/compat/strftime.h ../../../src/compat/inet_ntop.h \
- ../../../src/compat/inet_pton.h ../../../src/compat/gethostbyname2.h \
- ../../../src/compat/strlcpy.h ../../../src/mod/modvals.h \
- ../../../src/tandem.h .././console.mod/console.h
+ ../../../src/compat/compat.h ../../../src/compat/base64.h \
+ ../../../src/compat/inet_aton.h ../../../src/compat/snprintf.h \
+ ../../../src/compat/explicit_bzero.h ../../../src/compat/strlcpy.h \
+ ../../../src/mod/modvals.h ../../../src/tandem.h \
+ .././console.mod/console.h

=== src/mod/ctcp.mod/Makefile ===
# Makefile for src/mod/ctcp.mod/

srcdir = .


doofus:
	@echo "" && \
	echo "Let's try this from the right directory..." && \
	echo "" && \
	cd ../../../ && $(MAKE)

static: ../ctcp.o

modules: ../../../ctcp.$(MOD_EXT)

../ctcp.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -DMAKING_MODS -c $(srcdir)/ctcp.c && mv -f ctcp.o ../

../../../ctcp.$(MOD_EXT): ../ctcp.o
	$(LD) $(CFLAGS) -o ../../../ctcp.$(MOD_EXT) ../ctcp.o $(XLIBS) $(MODULE_XLIBS) && $(STRIP) ../../../ctcp.$(MOD_EXT)

depend:
	$(CC) $(CFLAGS) -MM $(srcdir)/ctcp.c -MT ../ctcp.o > .depend

clean:
	@rm -f .depend *.o *.$(MOD_EXT) *~

distclean: clean

#safety hash
../ctcp.o: .././ctcp.mod/ctcp.c .././ctcp.mod/ctcp.h \
 ../../../src/mod/module.h ../../../src/main.h ../../../config.h \
 ../../../eggint.h ../../../lush.h ../../../src/lang.h \
 ../../../src/eggdrop.h ../../../src/compat/in6.h ../../../src/flags.h \
 ../../../src/cmdt.h ../../../src/tclegg.h ../../../src/tclhash.h \
 ../../../src/chan.h ../../../src/users.h ../../../src/compat/compat.h \
 ../../../src/compat/base64.h ../../../src/compat/inet_aton.h \
 ../../../src/compat/snprintf.h ../../../src/compat/explicit_bzero.h \
 ../../../src/compat/strlcpy.h ../../../src/mod/modvals.h \
 ../../../src/tandem.h ../../../src/mod/server.mod/server.h

=== src/mod/filesys.mod/Makefile ===
# Makefile for src/mod/filesys.mod/

srcdir = .


doofus:
	@echo "" && \
	echo "Let's try this from the right directory..." && \
	echo "" && \
	cd ../../../ && $(MAKE)

static: ../filesys.o

modules: ../../../filesys.$(MOD_EXT)

../filesys.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -DMAKING_MODS -c $(srcdir)/filesys.c && mv -f filesys.o ../

../../../filesys.$(MOD_EXT): ../filesys.o
	$(LD) $(CFLAGS) -o ../../../filesys.$(MOD_EXT) ../filesys.o $(XLIBS) $(MODULE_XLIBS) && $(STRIP) ../../../filesys.$(MOD_EXT)

depend:
	$(CC) $(CFLAGS) -MM $(srcdir)/filesys.c -MT ../filesys.o > .depend

clean:
	@rm -f .depend *.o *.$(MOD_EXT) *~

distclean: clean

#safety hash
../filesys.o: .././filesys.mod/filesys.c ../../../src/mod/module.h \
 ../../../src/main.h ../../../config.h ../../../eggint.h ../../../lush.h \
 ../../../src/lang.h ../../../src/eggdrop.h ../../../src/compat/in6.h \
 ../../../src/flags.h ../../../src/cmdt.h ../../../src/tclegg.h \
 ../../../src/tclhash.h ../../../src/chan.h ../../../src/users.h \
 ../../../src/compat/compat.h ../../../src/compat/base64.h \
 ../../../src/compat/inet_aton.h ../../../src/compat/snprintf.h \
 ../../../src/compat/explicit_bzero.h ../../../src/compat/strlcpy.h \
 ../../../src/mod/modvals.h ../../../src/tandem.h \
 .././filesys.mod/filedb3.h .././filesys.mod/filesys.h \
 ../../../src/lang.h ../../../src/mod/transfer.mod/transfer.h \
 .././filesys.mod/files.h .././filesys.mod/dbcompat.h \
 .././filesys.mod/filelist.h .././filesys.mod/files.c ../../../src/stat.h \
 .././filesys.mod/filedb3.c .././filesys.mod/tclfiles.c \
 .././filesys.mod/dbcompat.c .././filesys.mod/filelist.c

=== src/mod/ident.mod/Makefile ===
# Makefile for src/mod/ident.mod/

srcdir = .


doofus:
	@echo "" && \
	echo "Let's try this from the right directory..." && \
	echo "" && \
	cd ../../../ && $(MAKE)

static: ../ident.o

modules: ../../../ident.$(MOD_EXT)

../ident.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -DMAKING_MODS -c $(srcdir)/ident.c && mv -f ident.o ../

../../../ident.$(MOD_EXT): ../ident.o
	$(LD) $(CFLAGS) -o ../../../ident.$(MOD_EXT) ../ident.o $(XLIBS) $(MODULE_XLIBS) && $(STRIP) ../../../ident.$(MOD_EXT)

depend:
	$(CC) $(CFLAGS) -MM $(srcdir)/ident.c -MT ../ident.o > .depend

clean:
	@rm -f .depend *.o *.$(MOD_EXT) *~

distclean: clean

#safety hash
../ident.o: .././ident.mod/ident.c ../../../src/mod/module.h \
 ../../../src/main.h ../../../config.h ../../../eggint.h ../../../lush.h \
 ../../../src/lang.h ../../../src/eggdrop.h ../../../src/compat/in6.h \
 ../../../src/flags.h ../../../src/cmdt.h ../../../src/tclegg.h \
 ../../../src/tclhash.h ../../../src/chan.h ../../../src/users.h \
 ../../../src/compat/compat.h ../../../src/compat/base64.h \
 ../../../src/compat/inet_aton.h ../../../src/compat/snprintf.h \
 ../../../src/compat/explicit_bzero.h ../../../src/compat/strlcpy.h \
 ../../../src/mod/modvals.h ../../../src/tandem.h \
 ../../../src/mod/server.mod/server.h

=== src/mod/notes.mod/Makefile ===
# Makefile for src/mod/notes.mod

srcdir = .


doofus:
	@echo "" && \
	@echo "Let's try this from the right directory..." && \
	echo "" && \
	cd ../../../ && $(MAKE)

static: ../notes.o

modules: ../../../notes.$(MOD_EXT)

../notes.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -DMAKING_MODS -c $(srcdir)/notes.c && mv -f notes.o ../

../../../notes.$(MOD_EXT): ../notes.o
	$(LD) $(CFLAGS) -o ../../../notes.$(MOD_EXT) ../notes.o $(XLIBS) $(MODULE_XLIBS) && $(STRIP) ../../../notes.$(MOD_EXT)

depend:
	$(CC) $(CFLAGS) -MM $(srcdir)/notes.c -MT ../notes.o > .depend

clean:
	@rm -f .depend *.o *.$(MOD_EXT) *~

distclean: clean

#safety hash
../notes.o: .././notes.mod/notes.c ../../../src/mod/module.h \
 ../../../src/main.h ../../../config.h ../../../eggint.h ../../../lush.h \
 ../../../src/lang.h ../../../src/eggdrop.h ../../../src/compat/in6.h \
 ../../../src/flags.h ../../../src/cmdt.h ../../../src/tclegg.h \
 ../../../src/tclhash.h ../../../src/chan.h ../../../src/users.h \
 ../../../src/compat/compat.h ../../../src/compat/base64.h \
 ../../../src/compat/inet_aton.h ../../../src/compat/snprintf.h \
 ../../../src/compat/explicit_bzero.h ../../../src/compat/strlcpy.h \
 ../../../src/mod/modvals.h ../../../src/tandem.h .././notes.mod/notes.h \
 .././notes.mod/cmdsnote.c

=== src/mod/pbkdf2.mod/Makefile ===
# Makefile for src/mod/pbkdf2.mod/

srcdir = .


doofus:
	@echo "" && \
	echo "Let's try this from the right directory..." && \
	echo "" && \
	cd ../../../ && $(MAKE)

static: ../pbkdf2.o

modules: ../../../pbkdf2.$(MOD_EXT)

../pbkdf2.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -DMAKING_MODS -c $(srcdir)/pbkdf2.c && mv -f pbkdf2.o ../

../../../pbkdf2.$(MOD_EXT): ../pbkdf2.o
	$(LD) $(CFLAGS) -o ../../../pbkdf2.$(MOD_EXT) ../pbkdf2.o $(XLIBS) $(MODULE_XLIBS) && $(STRIP) ../../../pbkdf2.$(MOD_EXT)

depend:
	$(CC) $(CFLAGS) -MM $(srcdir)/pbkdf2.c -MT ../pbkdf2.o > .depend

clean:
	@rm -f .depend *.o *.$(MOD_EXT) *~

distclean: clean

#safety hash
../pbkdf2.o: .././pbkdf2.mod/pbkdf2.c ../../../src/mod/module.h \
 ../../../src/main.h ../../../config.h ../../../eggint.h ../../../lush.h \
 ../../../src/lang.h ../../../src/eggdrop.h ../../../src/compat/in6.h \
 ../../../src/flags.h ../../../src/cmdt.h ../../../src/tclegg.h \
 ../../../src/tclhash.h ../../../src/chan.h ../../../src/users.h \
 ../../../src/compat/compat.h ../../../src/compat/base64.h \
 ../../../src/compat/inet_aton.h ../../../src/compat/snprintf.h \
 ../../../src/compat/explicit_bzero.h ../../../src/compat/strlcpy.h \
 ../../../src/mod/modvals.h ../../../src/tandem.h \
 .././pbkdf2.mod/tclpbkdf2.c

=== src/mod/seen.mod/Makefile ===
--- 
+++ 
@@ -33,10 +33,8 @@
  ../../../src/lang.h ../../../src/eggdrop.h ../../../src/compat/in6.h \
  ../../../src/flags.h ../../../src/cmdt.h ../../../src/tclegg.h \
  ../../../src/tclhash.h ../../../src/chan.h ../../../src/users.h \
- ../../../src/compat/compat.h ../../../src/compat/inet_aton.h \
- ../../../src/compat/snprintf.h ../../../src/compat/strcasecmp.h \
- ../../../src/compat/strftime.h ../../../src/compat/inet_ntop.h \
- ../../../src/compat/inet_pton.h ../../../src/compat/gethostbyname2.h \
- ../../../src/compat/strlcpy.h ../../../src/mod/modvals.h \
- ../../../src/tandem.h ../../../src/users.h ../../../src/chan.h \
- ../../../src/mod/channels.mod/channels.h
+ ../../../src/compat/compat.h ../../../src/compat/base64.h \
+ ../../../src/compat/inet_aton.h ../../../src/compat/snprintf.h \
+ ../../../src/compat/explicit_bzero.h ../../../src/compat/strlcpy.h \
+ ../../../src/mod/modvals.h ../../../src/tandem.h ../../../src/users.h \
+ ../../../src/chan.h ../../../src/mod/channels.mod/channels.h

=== src/mod/server.mod/Makefile ===
--- 
+++ 
@@ -40,5 +40,5 @@
  .././server.mod/server.h .././server.mod/isupport.c \
  .././server.mod/tclisupport.c .././server.mod/servmsg.c \
  .././server.mod/../irc.mod/irc.h \
- .././server.mod/../channels.mod/channels.h .././server.mod/cmdsserv.c \
- .././server.mod/tclserv.c
+ .././server.mod/../channels.mod/channels.h .././server.mod/sasl.c \
+ .././server.mod/cmdsserv.c .././server.mod/tclserv.c

=== debian/changelog ===
eggdrop (1.10.1-1) unstable; urgency=low

  * New upstream version

 -- Sébastien Noel <sebastien@twolife.be>  Tue, 19 Aug 2025 09:37:27 +0200

=== debian/watch ===
version=4
opts="pgpmode=auto,searchmode=plain,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|a|b)\d*)$/$1~$2/" \
https://api.github.com/repos/eggheads/eggdrop/releases?per_page=50 \
https://github.com/eggheads/eggdrop/releases/download/v(?:\d[\d.a-zA-Z]*)/@PACKAGE@-@ANY_VERSION@.tar.gz
